# Method: buyers.userLists.update

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/update#try-it)

Updates the given user list. Only user lists with URLRestrictions can be updated.

### HTTP request

`PUT https://realtimebidding.googleapis.com/v1/{userList.name=buyers/*/userLists/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userList.name` | `string` Output only. Name of the user list that must follow the pattern `buyers/{buyer}/userLists/{userList}`, where `{buyer}` represents the account ID of the buyer who owns the user list. For a bidder accessing user lists on behalf of a child seat buyer, `{buyer}` represents the account ID of the child seat buyer. `{userList}` is an int64 identifier assigned by Google to uniquely identify a user list. |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists#UserList`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists#UserList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`